Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.security
[Java] Class GroovyCodeSourcePermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              groovy.security.GroovyCodeSourcePermission

    public final class GroovyCodeSourcePermission
    extends java.security.BasicPermission

Permission required to explicitly specify a codebase for a groovy script whose codebase cannot be determined. Typically this permission is only required by clients that want to associate a code source with a script which is a String or an InputStream.

Authors:
  Steve Goetze

Constructor Summary
`GroovyCodeSourcePermission(java.lang.String name)`
`GroovyCodeSourcePermission(java.lang.String name, java.lang.String actions)`

Method Summary

Methods inherited from class java.security.BasicPermission
java.security.BasicPermission#equals(java.lang.Object), java.security.BasicPermission#hashCode(), java.security.BasicPermission#implies(java.security.Permission), java.security.BasicPermission#getActions(), java.security.BasicPermission#newPermissionCollection(), java.security.BasicPermission#toString(), java.security.BasicPermission#getName(), java.security.BasicPermission#checkGuard(java.lang.Object), java.security.BasicPermission#wait(long), java.security.BasicPermission#wait(long, int), java.security.BasicPermission#wait(), java.security.BasicPermission#getClass(), java.security.BasicPermission#notify(), java.security.BasicPermission#notifyAll()

Methods inherited from class java.security.Permission
java.security.Permission#equals(java.lang.Object), java.security.Permission#toString(), java.security.Permission#hashCode(), java.security.Permission#getName(), java.security.Permission#implies(java.security.Permission), java.security.Permission#getActions(), java.security.Permission#newPermissionCollection(), java.security.Permission#checkGuard(java.lang.Object), java.security.Permission#wait(long), java.security.Permission#wait(long, int), java.security.Permission#wait(), java.security.Permission#getClass(), java.security.Permission#notify(), java.security.Permission#notifyAll()

Constructor Detail

### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(java.lang.String name)

### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(java.lang.String name, java.lang.String actions)

Groovy Documentation